--[[
	Author: Darcey@AllForTheCode.co.uk
--]]


-- # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # #
initWorldMapCoordinates = function()
	log("initWorldMapCoordinates()");
	
	DCVGlobal["DCWorldMapText"] = WorldMapButton:CreateFontString();
	worldMapSetFont();
end
-- # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # #






-- # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # #
function worldMapSetVisibility()
    --log("worldMapSetVisibility()");

    if (DCoordsVDB["WorldMap"].visible) then
		DCVGlobal["DCWorldMapText"]:Show();
	else
		DCVGlobal["DCWorldMapText"]:Hide();
	end
end
-- # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # #







-- # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # #
function worldMapSetPosition()
    --log("worldMapSetPosition()");
    
	local textAlignment = DCVGlobal["WorldMapAlignmentOptions"][ DCoordsVDB["WorldMap"].fontAlignmentIndex ];
	--log("textAlignment = " .. textAlignment);
	
	DCVGlobal["DCWorldMapText"]:ClearAllPoints();
	DCVGlobal["DCWorldMapText"]:SetPoint("TOP", WorldMapButton, textAlignment, 0, DCoordsVDB["WorldMap"].fontOffsetY);
end
-- # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # #






-- # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # #
function worldMapSetFont()
    --log("worldMapSetFont()");
    
    DCVGlobal["DCWorldMapText"]:SetTextColor(
        DCoordsVDB["WorldMap"].fontR,
        DCoordsVDB["WorldMap"].fontG,
        DCoordsVDB["WorldMap"].fontB,
        DCoordsVDB["WorldMap"].fontA
    );
    
    DCVGlobal["DCWorldMapText"]:SetFont(getMapFrameFont(), DCoordsVDB["WorldMap"].fontSize,"OUTLINE");
    
    local textAlignment = DCVGlobal["AlignmentOptions"][ DCoordsVDB["WorldMap"].fontAlignmentIndex ];
    
	--DCVGlobal["DCWorldMapText"]:SetPoint("TOP", WorldMapButton, "TOP", 0, -6);
	--DCVGlobal["DCWorldMapText"]:SetText("Darcey@AllForTheCode.co.uk");
    --DCVGlobal["DCWorldMapText"]:SetPoint(textAlignment,0,0);
end
-- # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # #