--[[
	Author: Darcey@AllForTheCode.co.uk
--]]


-- # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # #
function setupPageOther()
	DCVGlobal["DCOptions"].Other = CreateFrame("FRAME", "DCoordsOptionsMainBar");
	local frame = DCVGlobal["DCOptions"].Other; 
	frame.name = "Other";
	frame.parent = DCVGlobal["DCOptions"].Main.name;
	InterfaceOptions_AddCategory(frame);
	
	-- Add background to options to enhance readability
	frame:SetBackdrop({
		bgFile = "Interface/DialogFrame/UI-DialogBox-Background",
		edgeFile = "Interface/Tooltips/UI-Tooltip-Border",
		tile = true, tileSize = 10, edgeSize = 10,
		insets = { left = 3, right = 3, top = 3, bottom = 3 }
	})
	
	-- Titles
	AddDCoordsOptionsTitles(frame,"Other");
	
	-- Page of settings
	local px = 10;
	local py = -60;
	local inc = 25;
	local dropDownWidth = 200;
	local sliderWidth = 200;
	
	-- btnReset
	local function btnResetClickHandler()
		log("btnResetClickHandler()");
		reset();
	end
	local btnReset = createButton("ResetButton",frame,"RESET DCOORDS",150,px,py,btnResetClickHandler);
	py = py - inc;
	
	--[[
	
	--createDropDown(name,frameContainer,width,labels,default,x,y,clickHandlerFunction)
	local labels = {
		"Option 1",
		"Option 2",
		"Option 3",
		"Option 4",
	};
    
    local function dp1ChangeHandler(selectedIndex)
	    print("------------------------");
	    print("selectedIndex = " .. selectedIndex);
    end
    
	local default = 1;
	local dp1 = createDropDown("DropDownTest1",frame,200,labels,1,px,py,dp1ChangeHandler);
	py = py - inc;
	local dp2 = createDropDown("DropDownTest2",frame,200,labels,0,px,py,dp1ChangeHandler);
	dp2:SetSelected(1);
	
	--]]
	
	
end
-- # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # #





-- # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # #
function xbtnResetClickHandler()
	log("btnResetClickHandler()");

end
-- # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # #